import { Bridgly } from '@bridgly/sdk';
const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });
const res = await client.instagram.getAudio({
audioId: "string",
});
if (res.type === 'success') console.log(res.data);curl --request POST \
--url https://api.bridgly.app/instagram/audio \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"audioId": "<string>",
"cacheMaxAgeHours": 123,
"cacheOnly": true
}
'import requests
url = "https://api.bridgly.app/instagram/audio"
payload = {
"audioId": "<string>",
"cacheMaxAgeHours": 123,
"cacheOnly": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({audioId: '<string>', cacheMaxAgeHours: 123, cacheOnly: true})
};
fetch('https://api.bridgly.app/instagram/audio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridgly.app/instagram/audio",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'audioId' => '<string>',
'cacheMaxAgeHours' => 123,
'cacheOnly' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bridgly.app/instagram/audio"
payload := strings.NewReader("{\n \"audioId\": \"<string>\",\n \"cacheMaxAgeHours\": 123,\n \"cacheOnly\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bridgly.app/instagram/audio")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"audioId\": \"<string>\",\n \"cacheMaxAgeHours\": 123,\n \"cacheOnly\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridgly.app/instagram/audio")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"audioId\": \"<string>\",\n \"cacheMaxAgeHours\": 123,\n \"cacheOnly\": true\n}"
response = http.request(request)
puts response.read_body{
"timeMs": 123,
"creditsCost": 123,
"cachedAt": "2023-11-07T05:31:56Z",
"data": {
"id": "<string>",
"url": "<string>",
"type": "<string>",
"title": "<string>",
"artist": "<string>",
"artist_username": "<string>",
"owner": {
"id": "<string>",
"username": "<string>",
"full_name": "<string>",
"profile_pic_url": "<string>",
"is_private": true,
"is_verified": true,
"profile_pic_id": "<string>",
"latest_reel_media": 123,
"is_mentionable": true
},
"duration_ms": 123,
"cover_url": "<string>",
"preview_url": "<string>",
"is_explicit": true,
"is_trending": true,
"reels_count": 123,
"original_media_id": "<string>",
"created_at": 123,
"is_restricted": true
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Get audio details
Get a song or original sound used in Instagram Reels by its audio ID or audio page link: title, artist, length, cover image, a downloadable audio file, whether it is trending and how many Reels use it. Get audio IDs from the audio field of a Reel. Costs 1 credit per request.
import { Bridgly } from '@bridgly/sdk';
const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });
const res = await client.instagram.getAudio({
audioId: "string",
});
if (res.type === 'success') console.log(res.data);curl --request POST \
--url https://api.bridgly.app/instagram/audio \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"audioId": "<string>",
"cacheMaxAgeHours": 123,
"cacheOnly": true
}
'import requests
url = "https://api.bridgly.app/instagram/audio"
payload = {
"audioId": "<string>",
"cacheMaxAgeHours": 123,
"cacheOnly": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({audioId: '<string>', cacheMaxAgeHours: 123, cacheOnly: true})
};
fetch('https://api.bridgly.app/instagram/audio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridgly.app/instagram/audio",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'audioId' => '<string>',
'cacheMaxAgeHours' => 123,
'cacheOnly' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bridgly.app/instagram/audio"
payload := strings.NewReader("{\n \"audioId\": \"<string>\",\n \"cacheMaxAgeHours\": 123,\n \"cacheOnly\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bridgly.app/instagram/audio")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"audioId\": \"<string>\",\n \"cacheMaxAgeHours\": 123,\n \"cacheOnly\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridgly.app/instagram/audio")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"audioId\": \"<string>\",\n \"cacheMaxAgeHours\": 123,\n \"cacheOnly\": true\n}"
response = http.request(request)
puts response.read_body{
"timeMs": 123,
"creditsCost": 123,
"cachedAt": "2023-11-07T05:31:56Z",
"data": {
"id": "<string>",
"url": "<string>",
"type": "<string>",
"title": "<string>",
"artist": "<string>",
"artist_username": "<string>",
"owner": {
"id": "<string>",
"username": "<string>",
"full_name": "<string>",
"profile_pic_url": "<string>",
"is_private": true,
"is_verified": true,
"profile_pic_id": "<string>",
"latest_reel_media": 123,
"is_mentionable": true
},
"duration_ms": 123,
"cover_url": "<string>",
"preview_url": "<string>",
"is_explicit": true,
"is_trending": true,
"reels_count": 123,
"original_media_id": "<string>",
"created_at": 123,
"is_restricted": true
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Authorizations
Body
Numeric audio ID, or the audio page link, e.g. "6516695721690591" or "https://www.instagram.com/reels/audio/6516695721690591/".
1Accept a cached result scraped up to this many hours ago. A cached result costs no credits, and its cachedAt says when it was scraped. When no cached result is that recent, the data is scraped live at the normal price. Leave it out to always scrape live, e.g. 24.
x <= 9007199254740991Response
Default Response
When the returned data was scraped, if it came from the cache. Null when it was scraped live for this request.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Was this page helpful?